/* Aqui se crea la postura  de  una  criatura insectoide segun los datos que
   envia el fichero escenico */

//esta union es el cuerpo completo
union{

//este es el grupo jerarquico controlado por los movs. del torax
    union{
        object{bi_btorax}
        object{bi_btorax1}
//la cabeza se ve afectada por los movimientos del torax

        object{cabeza
               translate<0,-160,16>
               rotate <rcabezaX, rcabezaY, rcabezaZ>
               translate<0,160,-16>
               }
/*
//Nota: las alas se crean solo si alas=1
//ala derecha
        #if (alas=1)
        union{object{bi_bnervald texture{tex_nervios_ala_bicho}}
            object{bi_balad texture{tex_ala_bicho}}
              translate<8.2,0,-8.1>
              rotate <raladX, raladY, raladZ>
              translate<-8.2,0,8.1>
            }

//ala izquierda
        union{object{bi_bnervali texture{tex_nervios_ala_bicho}}
            object{bi_balai texture{tex_ala_bicho}}
              translate<-8.2,0,-8.1>
              rotate <ralaiX, ralaiY, ralaiZ>
              translate<8.2,0,8.1>
            }
        #end
*/
//brazo derecho
        union{
            union{object{bi_antebd}
//la mano y su arma cogen tambien el giro del antebrazo
                  union{object{bi_punnod}
                        #if (noarmas=1)
                            object{arma}
                        #end
                        translate<24.40,-71.85,-2>
                        rotate <rmanodX, rmanodY, rmanodZ>
                        translate<-24.40,71.85,2>
                        }
                  translate<24.4,-106.30,-2.36>
                  rotate <rantebdX, rantebdY, rantebdZ>
                  translate<-24.4,106.30,2.36>
                  }
            object{bi_brazod}
            translate<24.4,-144.6,-.50>
            rotate <rbrazodX, rbrazodY, rbrazodZ>
            translate<-24.4,144.6,.5>
            }

//brazo izquierdo
        union{
            union{object{bi_antebi}
//la mano coge tambien el giro del antebrazo
                  union{object{bi_manoi}
                        #if (noarmasI=1)
                            object{armaI}
                        #end
                        translate<-24.40,-71.85,-2>
                        rotate <rmanoiX, rmanoiY, rmanoiZ>
                        translate<24.40,71.85,2>
                        }
                  translate<-24.40,-106.30,-2.36>
                  rotate <rantebiX, rantebiY, rantebiZ>
                  translate<24.40,106.30,2.36>
                  }
            object{bi_brazoi}
            translate<-24.4,-144.6,-.5>
            rotate <rbrazoiX, rbrazoiY, rbrazoiZ>
            translate<24.4,144.6,.5>
            }

/*los ejes de rotacion del torax afectan a toda la parte superior del
  cuerpo */
    translate<0,-112.75,-2.3>
    rotate <rtoraxX, rtoraxY, rtoraxZ>
    translate<0,112.75,2.3>
    }

//la pelvis y el abdomen
    union{
        object{bi_pelvis}
        object{bi_babdomen}
        translate<0,-105,-2.50>      //antes 0,-90,-9.50
        rotate <rpelvisX, rpelvisY, rpelvisZ>
        translate<0,105,2.50>
        }

/*IMPORTANTE: Como el eje de giro del torax esta a la altura de la artic. de
  las piernas, estas no se ven afectadas por los movs. del torax (solo por
  los movs y giros globales del cuerpo) */

//pierna derecha
    union{
        union{object{bi_pantod}
//la pantorrila y el pie cogen tambien el giro de la pierna
              object{bi_talond}
              object{bi_pied
                    translate<17.80,-8,0>
                    rotate <rpiedX, rpiedY, rpiedZ>
                    translate<-17.80,8,0>
                    }
              translate<17.50,-63.8,-1>
              rotate <rpantodX, rpantodY, rpantodZ>
              translate<-17.50,63.8,1>
              }
        object{bi_muslod}
        translate<17.50,-110.60,-1.9>
        rotate <rpiernadX, rpiernadY, rpiernadZ>
        translate<-17.50,110.60,1.9>
        }

//pierna izquierda
    union{
        union{object{bi_pantoi}
//la pantorrila y el pie cogen tambien el giro de la pierna
              object{bi_taloni}
              object{bi_piei
                    translate<-17.8,-8,0>
                    rotate <rpieiX, rpieiY, rpieiZ>
                    translate<17.8,8,0>
                    }
              translate<-17.50,-63.8,-1>
              rotate <rpantoiX, rpantoiY, rpantoiZ>
              translate<17.50,63.8,1>
              }
        object{bi_musloi}
        translate<-17.50,-110.60,-1.9>
        rotate <rpiernaiX, rpiernaiY, rpiernaiZ>
        translate<17.50,110.60,1.9>
        }


//ahora el eje de giro para el cuerpo entero
  translate<0,0,0>
  rotate <rbodyX, rbodyY, rbodyZ>
  translate<0,0,0>

/*la siguiente resta se efectua en las posturas de combate y lucha debido
  a los cambios de posicin con las piernas */

//translate <xpos,restaltura,zpos>
//translate <xpos+(rand(RXX)*30),restaltura,zpos+(rand(RZZ)*35)>//Quieto
translate <xpos+(rand(RXX)*200),restaltura,zpos-(clock*10)+(rand(RZZ)*200)>// Camina o corre
// 10 Rpid //6 Camina

//la textura por defecto
  texture{tex_piel_bicho}
}




