//TEXTURAS Y DATOS DEL BICHO

//objetos de la CABEZA del bicho
#declare bi_cabeza=object{#include "bcabeza.inc"}
//la boca
#declare bi_bboca=object{#include "bboca.inc"}
//los ojos
#declare bi_bojod=object{#include "bojod.inc"}
#declare bi_bojoi=object{#include "bojoi.inc"}
//las antenas
#declare bi_bantend=object{#include "bantend.inc"}
#declare bi_banteni=object{#include "banteni.inc"}
//los queliceros
#declare bi_quelid=object{#include "bquelid.inc"}
#declare bi_queliz=object{#include "bqueliz.inc"}
//los dos colmillos de los extremos de la boca
#declare bi_bcolmi1=object{#include "bcolmi1.inc"}
//los dos colmillos siguientes, mas internos
#declare bi_bcolmi2=object{#include "bcolmi2.inc"}
//los dos colmillos siguientes, mas internos
#declare bi_bcolmi3=object{#include "bcolmi3.inc"}
//el colmillo central
#declare bi_bcolmi4=object{#include "bcolmi4.inc"}
//el cuello
#declare bi_bcuello=object{#include "bcuello.inc"}

//objetos del TORAX y PELVIS
#declare bi_btorax=object{#include "btorax.inc"}
//en btorax1 se guardan los objetos adheridos al torax (posib. de otro col.)
#declare bi_btorax1=object{#include "btorax1.inc"}
//llamaremos pelvis al objeto-union entre el torax y el abdomen
#declare bi_pelvis=object{#include "bunion.inc"}
#declare bi_babdomen=object{#include "babdomen.inc"} //el abdomen


//Objetos de los BRAZOS del bicho
#declare bi_brazod=object{#include "bbrazod.inc"}  //del hombro al codo der.
#declare bi_brazoi=object{#include "bbrazoi.inc"}  //del hombro al codo izq.
#declare bi_antebd=object{#include "bantebd.inc"}  //antebrazo der.
#declare bi_antebi=object{#include "bantebi.inc"}  //antebrazo izq.
#declare bi_manod=object{#include "bmanod.inc"}    //mano der. abierta
#declare bi_manoi=object{#include "bmanoi.inc"}    //mano izq. abierta
#declare bi_punnod=object{#include "bpunnod.inc"}   //puo der.
#declare bi_punnoi=object{#include "bpunnoi.inc"}   //puo izq.



//objetos de las armas (espada y maza)


#declare metal1=texture{
  pigment{color rgb<.75,.74,.85>}
  finish {
    ambient 0.35
    brilliance 2
    diffuse 0.3
    metallic
    specular 0.80
    roughness 1/20
    reflection 0.1
    }
  }

#declare bi_bhojaesp=object{#include "bhojaesp.inc"}//hoja de espada
#declare bi_bmangesp=object{#include "bmangesp.inc"}//empuadura de espada
#declare bi_bguarda=object{#include "bguarda.inc"}  //guarda de espada
#declare bi_espada=union{object{bi_bhojaesp}
                         object{bi_bmangesp texture{metal1
                                pigment{rgb<.71,.48,.24>}}}
                         object{bi_bguarda texture{metal1
                                pigment{rgb<.71,.48,.24>}}}
                         texture{metal1}
                         }

#declare bi_bmangoma=object{#include "bmangoma.inc"}//empuadura de maza
#declare bi_bpuasmaz=object{#include "bpuasmaz.inc"}//las puas de la maza
#declare bi_bpalomaz=object{#include "bpalomaz.inc"}//palo de la maza
#declare bi_maza=union{object{bi_bmangoma}
                       object{bi_bpuasmaz}
                       object{bi_bpalomaz texture{metal1 pigment{Brown}}}
                       texture{metal1}
                       }

#declare tescudo1=texture{
//    pigment{color LightWood}
    pigment{color rgb<.5,.49,.60>}
    finish {
    ambient 0.35
    brilliance 2
    diffuse 0.3
    metallic
    specular 0.80
    roughness 1/20
    reflection 0.2
    }
}
#declare madera1=texture{T_Wood3 scale<15,15,15>}   //para el escudo

#declare borde_escudo_h=object{#include "bord_esc.inc" }
#declare escud_h=object{#include "escud.inc" }

#declare escudo_evormiga=union{
    object{borde_escudo_h texture{tescudo1}}
    object{escud_h texture{madera1}}
    translate<-2,-27,0>
    }


#declare estandartehormiga=union{
                        object{#include"estandor.inc"}
                        /*Jgv
                        object{#include"capa1b.inc"
                               texture{
                                   pigment{checker color Grey, color Black}
                                   finish {ambient 0.10 diffuse 1}
                                   scale <10,10,10>
                                   }
                              }

                        object{#include"capa2b.inc"}

                        object{#include"capa4b.inc"
                              texture{
                                   pigment{image_map{tga "divisa.tga"
                                           map_type 0
                                           interpolate 2}
                                   }
                                   finish {ambient 0.10 diffuse 1}
                                   scale <93,95,1>
                                   translate<-80,324,0>
                                   //filter all 0.9
                                   }
                             }
                         */
                        translate<9.5,4,-4.6>
                        }

//objetos de las piernas
#declare bi_muslod=object{#include "bmuslod.inc"}   //muslo derecho
#declare bi_musloi=object{#include "bmusloi.inc"}   //muslo izq.
//las pantorrillas incluyen tambien la rodilla y la protec. osea
#declare bi_pantod=object{#include "bpantod.inc"}   //pantorri. der.
#declare bi_pantoi=object{#include "bpantoi.inc"}   //pantorri. izq.
//los 3 dedos de cada pie
#declare bi_pied=object{#include "bpied.inc"}      //pie der.
#declare bi_piei=object{#include "bpiei.inc"}      //pie izq.
//los talones del pie
#declare bi_talond=object{#include "btalond.inc"}  //talon der.
#declare bi_taloni=object{#include "btaloni.inc"}  //talon izq.
/* jjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjgv
// LAS ALAS
//bordes de las dos alas del lado derecho
#declare bi_bnervald=object{#include "bnervald.inc"}
//bordes de las dos alas del lado izq.
#declare bi_bnervali=object{#include "bnervali.inc"}
//las dos alas del lado derecho
#declare bi_balad=object{#include "balad.inc"}
//las dos alas del lado izq.
#declare bi_balai=object{#include "balai.inc"}
//raiz de las dos alas del lado derecho
#declare bi_braizald=object{#include "braizald.inc"}
//raiz de las dos alas del lado izq.
#declare bi_braizali=object{#include "braizali.inc"}
*/
