/* Aqui se crea la postura de  un  guerrero humano segun los datos que envia
   el fichero escenico */


//esta union es el cuerpo completo
union{

//este es el grupo jerarquico controlado por los movs. del torax
    union{
        union{
              object{hum_coraza}
              object{simbolo_caos texture{armadura2}}
              object{hum_artihombrod}
              object{hum_artihombroi}
//incluimos una pequea pov-macro para determinar el tipo de hombrera
              #declare hombrera_param=1;   //la derecha
              object{#include"hombrera.pvm" texture{armadura2}}
//ahora la hombrera izquierda
              #declare hombrera_param=0;   //la izquierda
              object{#include"hombrera.pvm" texture{armadura2}}
              }
//la cabeza se ve afectada por los movimientos del torax
        union{object{casco texture{armadura2}}
/*lo de paraojos, es una esfera negra para que el interior del casco parezca
  oscuro */
              object{hum_paraojos}
// tambien miramos a ver si se coloca el pincho del casco
              #if (rand(R)>.50)
                object{hum_puntaca}
              #end

              translate<0,-132,2.107>
              rotate <rcabezaX, rcabezaY, rcabezaZ>
              translate<0,132,-2.107>
              texture{armadura2}
              }


//brazo derecho
        union{
            union{object{hum_antebd texture{tinterior}}
                  object{hum_coraza_antebrazod}
//la mano y su arma cogen tambien el giro del antebrazo
                  union{object{hum_manod texture{tinterior}}
                        #if (noarmas=1)
                            object{arma}
                        #end
                        translate<30,-76,2.106>
                        rotate <rmanodX, rmanodY, rmanodZ>
                        translate<-30,76,-2.106>
                        }
                  translate<29,-97,1.50>
                  rotate <rantebdX, rantebdY, rantebdZ>
                  translate<-29,97,-1.50>
                  }
            object{hum_coderad texture{armadura2}}
            object{hum_brazod texture{tinterior}}
            object{hum_coraza_brazod}
            translate<27,-121.41,1.40>
            rotate <rbrazodX, rbrazodY, rbrazodZ>
            translate<-27,121.41,-1.40>
            }

//brazo izquierdo
        union{
            union{object{hum_antebi texture{tinterior}}
                  object{hum_coraza_antebrazoi}
//la mano y su arma cogen tambien el giro del antebrazo
                  union{object{hum_manoi texture{tinterior}}
                        #if (noarmas=1)
                            #if (hayescudo=1)
                                object{hum_escudo1}
                            #end
                            #if (hayescudo=2)
                                object{hum_escudo2}
                            #end
                        #end
                        translate<-30,-76,2.106>
                        rotate <rmanoiX, rmanoiY, rmanoiZ>
                        translate<30,76,-2.106>
                        }
                  translate<-29,-97,1.50>
                  rotate <rantebiX, rantebiY, rantebiZ>
                  translate<29,97,-1.50>
                  }
            object{hum_coderai texture{armadura2}}
            object{hum_brazoi texture{tinterior}}
            object{hum_coraza_brazoi}
            translate<-27,-121.41,1.40>
            rotate <rbrazoiX, rbrazoiY, rbrazoiZ>
            translate<27,121.41,1.40>
            }

/*los ejes de rotacion del torax afectan a toda la parte superior del
  cuerpo */
    translate<0,-100,1.71>
    rotate <rtoraxX, rtoraxY, rtoraxZ>
    translate<0,100,-1.71>
    }

    union{
        object{hum_faldellin}
        object{hum_pelvis texture{tinterior}}

//pierna derecha
        union{
            union{object{hum_pantod texture{tinterior}}
                  #if (armainf=1)
                    object{hum_coraza_pantorrillad}
                    object{hum_rodillad texture{armadura2}}
                  #end
//la pantorrila y el pie cogen tambien el giro de la pierna
                  object{hum_pied texture{armadura2}
                        translate<8.64,-9,-11>
                        rotate <rpiedX, rpiedY, rpiedZ>
                        translate<-8.64,9,11>
                        }
                  translate<8.47,-44,-7.50>
                  rotate <rpantodX, rpantodY, rpantodZ>
                  translate<-8.47,44,7.50>
                  }
            object{hum_rodid texture{tinterior}}
            object{hum_muslod texture{tinterior}}
            #if (armainf=1) object{hum_coraza_muslod} #end
            translate<9,-74,-3>
            rotate <rpiernadX, rpiernadY, rpiernadZ>
            translate<-9,74,3>
            }

//pierna izquierda
        union{
            union{object{hum_pantoi texture{tinterior}}
                  #if (armainf=1)
                    object{hum_coraza_pantorrillai}
                    object{hum_rodillai texture{armadura2}}
                  #end
//la pantorrila y el pie cogen tambien el giro de la pierna
                  object{hum_piei texture{armadura2}
                        translate<-8.64,-9,-11>
                        rotate <rpieiX, rpieiY, rpieiZ>
                        translate<8.64,9,11>
                        }
                  translate<-8.47,-44,-7.50>
                  rotate <rpantoiX, rpantoiY, rpantoiZ>
                  translate<8.47,44,7.50>
                  }
            object{hum_rodii texture{tinterior}}
            object{hum_musloi texture{tinterior}}
            #if (armainf=1) object{hum_coraza_musloi} #end
            translate<-9,-74,-3>
            rotate <rpiernaiX, rpiernaiY, rpiernaiZ>
            translate<9,74,3>
            }

/*los ejes de rotacion de la pelvis afectan a toda la parte inferior del
  cuerpo */
    translate<0,-100,0>
    rotate <rpelvisX, rpelvisY, rpelvisZ>
    translate<0,100,0>
     }
    texture{armadura1}

//eje de giro para el cuerpo entero
  translate<0,0,-5>
  rotate <rbodyX, rbodyY+180, rbodyZ>
  translate<0,0,5>

/*la siguiente resta se efectua en las posturas de combate y lucha debido
  a los cambios de posicin con las piernas */

  //translate <xpos,restaltura,zpos>//Quieto (J.G.V)
 // translate <xpos,restaltura,zpos+(clock*6)>// Camina o corre
 translate <xpos+(rand(RXX)*200),restaltura,zpos+(clock*10)+(rand(RZZ)*200)>// Camina o corre
}




