#include "colors.inc"
#include "woods.inc"
#include "metals.inc"
#include "skies.inc"
#include "textures.inc"
#include "Textwar.inc" //Sn textures. (Estandarte)(Armadura)(Amantis)(Escudo)Etc.

#include "texbi1.inc"//Texturas Bicho para tribu 1


#include "TerraB2.inc"

#include "PiezasBicho.inc"//Pone archivos "INC" en "objects" del Bicho


#declare R=seed(57801)   //Distintas dientes en cabeza y rotaciones de antenas*
#declare RRL=seed(27416) //Distintas armas para manos*
/*
#declare RRS=seed(3456) //Signo para rotacin en formacin
#declare RRC=seed(32156) //Variacin de la rotacin del bicho en formacin
*/
#declare RRR=seed(9123) //Determina si la rotaciones de inicio es positiva o negativa(cabeza)
#declare RR=seed(19473)  //Distintas rotaciones de inicio para el movimiento(cabeza)
#declare RRT=seed(72853) //Determina que tipo de movimiento aleatorio tendr(cabeza)

#declare RRP=seed(12468) //Distintas rotaciones de inicio para el movimiento(pierna)
#declare RRB=seed(39810) //Variacin en el movimiento de los antebrazos caminando
#declare RRH=seed(18703) //Escoge el tipo de movimiento de brazo caminando
/*
#declare RRJ=seed(73119) //Variacin en el movimiento de los antebrazos parado
#declare RRY=seed(21453) //Escoge el tipo de movimiento de brazo parado
*/
#declare RXX=seed(70591) //Alteracin de distancia entre bicho en formacin de X
#declare RZZ=seed(35147) //Alteracin de distancia entre bicho en formacin de Z

#declare xpos=0;
#declare zpos=1750;
#declare CentreX=1000
//--------------------------------------------------------- Bucle
#declare cfilas=28        //Filas Bichos
#while(cfilas!=0)

    #declare xpos=0-CentreX
    #declare canchoreg=8  //Columnas Bichos
    #while(canchoreg!=0)

#declare primerestand=0
/*
#if (canchoreg=8) //El del medio y primera fila con estandarte
   #if (cfilas=15)
    #declare primerestand=1
   #end
#end
*/
//---------------------------------------------------------
#include "BichoPOSECorre.inc"//poner las variables de rotacin de postura

//----------------------------//Montara cabeza con variaciones de dientes y antenas

union{
//primero decidiremos las variaciones de la cabeza del bicho
      #declare cabeza=union{
          object{bi_cabeza}
          object{bi_bboca}
          object{bi_bojod texture{tex_ojos}}
          object{bi_bojoi texture{tex_ojos}}
          union{object{bi_bantend}
                object{bi_banteni}
                 rotate x*(rand(R)*8)
                 }
          union{object{bi_quelid}
                object{bi_queliz}
                texture{tex_colmillos_bicho}
               }
          #declare a=int(rand(R)*4);
          #switch (a)
              #case (0)
              #declare dientes=union{
                  object{bi_bcolmi1}
                  object{bi_bcolmi2}
                  object{bi_bcolmi3}
                  object{bi_bcolmi4}
              }
              #break
              #case (1)
              #declare dientes=union{
                  object{bi_bcolmi1}
                  object{bi_bcolmi2}
                  object{bi_bcolmi3}
              }
              #break
              #case (2)
              #declare dientes=union{
                  object{bi_bcolmi1}
                  object{bi_bcolmi2}
              }
              #break
              #case (3)
                  #declare dientes=object{bi_bcolmi1}
          #end
          object{dientes texture{tex_colmillos_bicho}}
      } //fin de la union "cabeza"

//-----------------------------------------------------------------
//por ltimo damos un cierto margen aleatorio de giro a la cabeza
//Se escoger s el valor aleatorio ser positivo o negativo (rand(RRR)>.5)
//Se escoger un factor de rotacin para distintas velocidades (3.5,)
//Se escoger el valor aleatorio de rotacin de inicio (rand(RR)*100)

#if (rand(RRR)>.5)   //Se partir de un valor positivo

    #declare quetipo=int(rand(RRT)*2)
    #switch (quetipo)               //Escoger el tipo de movimiento

    #case (0) //Movimiento con factor de rotacin (3.5) y rocorido 98 grados

      #warning " Movimiento-Positivo-Normal"

      #declare rotautt=(rand(RR)*50)+50   //Valor grados aleatorio (0 a 50) , tope 100
      #declare rotautcl=int(rotautt/3.5)//(Nmero de Clocks parte entera)(Factor rotacin 3.5)
      #declare rotaut=rotautcl*3.5      //Valor grados aleatorio para clock entero (98)tope

      #switch (clock)
      #range (0,rotautcl)
      #declare rcabezaY=rotaut-(50)-(clock*3.5)//Desde el valor aleatorio +(valor) a -(50)
      #break

      #range (rotautcl+1,rotautcl+28)//98 es toda la rotacin(Factor de rotacin 3.5)98/3.5=28
      #declare contador=(clock*3.5)-(rotautcl*3.5)
      #declare rcabezaY=-(14*3.5)+(contador)
      #break

      #range (rotautcl+29,rotautcl+28+28)//Retorno
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5))
      #declare rcabezaY=(14*3.5)-(contador)
      #break

      #range (rotautcl+28+29,rotautcl+28+28+28)//Retorno
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5))
      #declare rcabezaY=-(14*3.5)+(contador)
      #break

      #range (rotautcl+28+28+29,rotautcl+28+28+28+28)
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5))
      #declare rcabezaY=+(14*3.5)-(contador)
      #break

      #range (rotautcl+28+28+28+29,rotautcl+28+28+28+28+28)//Retorno
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(28*3.5))
      #declare rcabezaY=-(14*3.5)+(contador)
      #break

       #range (rotautcl+28+28+28+28+29,rotautcl+28+28+28+28+28+28)
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(56*3.5))
      #declare rcabezaY=+(14*3.5)-(contador)
      #break
   #end
   #break

   #case (1) //Movimiento con factor de rotacin (3.5) y rocorido 98 grados (CON PARO)

      #warning " Movimiento-Positivo-ConParo"

      #declare rotautt=(rand(RR)*50)+50   //Valor grados aleatorio (0 a 50) , tope 100
      #declare rotautcl=int(rotautt/3.5)//(Nmero de Clocks parte entera)(Factor rotacin 3.5)
      #declare rotaut=rotautcl*3.5      //Valor grados aleatorio para clock entero (98)tope

      #switch (clock)
      #range (0,rotautcl)
      #declare rcabezaY=rotaut-(50)-(clock*3.5)//Desde el valor aleatorio +(valor) a -(50)
      #break

      #range (rotautcl+1,rotautcl+14)//Se para 14 Clocks=1Segundo
      #declare rcabezaY=-(14*3.5)
      #break

      #range (rotautcl+15,rotautcl+14+28)//98 toda la rotacin(Factor de rotacin 3.5)98/3.5=28
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(14*3.5))
      #declare rcabezaY=-(14*3.5)+(contador)
      #break

      #range (rotautcl+14+29,rotautcl+14+28+14)//Se para 14 Clocks=1Segundo
      #declare rcabezaY=(14*3.5)
      #break

      #range (rotautcl+14+28+15,rotautcl+14+28+14+28)
      #declare contador=(clock*3.5)-((rotautcl*3.5)+(14*3.5)+(28*3.5)+(14*3.5))
      #declare rcabezaY=(14*3.5)-(contador)
      #break

      #range (rotautcl+14+28+14+29,rotautcl+14+28+14+28+14)//Se para 14 Clocks=1Segundo
      #declare rcabezaY=-(14*3.5)
      #break

      #range (rotautcl+14+28+14+28+15,rotautcl+14+28+14+28+14+28)
 #declare contador=(clock*3.5)-((rotautcl*3.5)+(14*3.5)+(28*3.5)+(14*3.5)+(28*3.5)+(14*3.5))
      #declare rcabezaY=-(14*3.5)+(contador)
      #break

      #range (rotautcl+14+28+14+28+14+29,rotautcl+14+28+14+28+14+28+14)//Se para 14
      #declare rcabezaY=(14*3.5)
      #break

     #range (rotautcl+14+28+14+28+14+28+15,rotautcl+14+28+14+28+14+28+14+28)
 #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(56*3.5)+(14*3.5)+(28*3.5)+(14*3.5))
    #declare rcabezaY=(14*3.5)-(contador)
     #break

     #range (rotautcl+14+28+14+28+14+28+14+29,rotautcl+14+28+14+28+14+28+14+28+14)
      #declare rcabezaY=-(14*3.5)
      #break

     #end

   #break
   #end
#else                                //Se partir de un valor  negativo

   #declare quetipo=int(rand(RRT)*2)
   #switch (quetipo)               //Escoger el tipo de movimiento

   #case (0) //Movimiento con factor de rotacin (3.5) y rocorido 98 grados

     #warning " Movimiento-Negativo-Normal"

     #declare rotautt=(rand(RR)*50)+50 //Valor grados aleatorio (0 a 50) , tope 100
     #declare rotautcl=int(rotautt/3.5)//(Nmero de Clocks parte entera)(Factor rotacin 3.5)
     #declare rotaut=rotautcl*3.5      //Valor grados aleatorio para clock entero (98)tope

     #switch (clock)
     #range (0,rotautcl)
     #declare rcabezaY=(rotaut*-1)+(50)+(clock*3.5)//Desde el valor aleatorio -(valor) a +(50)
     #break

     #range (rotautcl+1,rotautcl+28)//98 es toda la rotacin(Factor de rotacin 3.5)98/3.5=28
     #declare contador=(clock*3.5)-(rotautcl*3.5)
     #declare rcabezaY=(14*3.5)-(contador)
     #break

     #range (rotautcl+29,rotautcl+28+28)//Retorno
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5))
     #declare rcabezaY=-(14*3.5)+(contador)
     #break

     #range (rotautcl+28+29,rotautcl+28+28+28)
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5))
     #declare rcabezaY=(14*3.5)-(contador)
     #break

      #range (rotautcl+28+28+29,rotautcl+28+28+28+28)
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5))
     #declare rcabezaY=-(14*3.5)+(contador)
     #break

     #range (rotautcl+28+28+28+29,rotautcl+28+28+28+28+28)
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(28*3.5))
     #declare rcabezaY=(14*3.5)-(contador)
     #break

     #range (rotautcl+28+28+28+28+29,rotautcl+28+28+28+28+28+28)
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(28*3.5))
     #declare rcabezaY=-(14*3.5)+(contador)
     #break

      #range (rotautcl+28+28+28+28+28+29,rotautcl+28+28+28+28+28+28+28)
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(28*3.5)+(56*3.5))
     #declare rcabezaY=(14*3.5)-(contador)
     #break
     #end

  #break

  #case (1) //Movimiento con factor de rotacin (3.5) y rocorido 98 grados (CON PARO)

     #warning " Movimiento-Negativo-ConParo"

     #declare rotautt=(rand(RR)*50)+50 //Valor grados aleatorio (0 a 50) , tope 100
     #declare rotautcl=int(rotautt/3.5)//(Nmero de Clocks parte entera)(Factor rotacin 3.5)
     #declare rotaut=rotautcl*3.5      //Valor grados aleatorio para clock entero (98)tope

     #switch (clock)
     #range (0,rotautcl)
     #declare rcabezaY=(rotaut*-1)+(50)+(clock*3.5)//Desde el valor aleatorio -(valor) a +(50)
     #break

     #range (rotautcl+1,rotautcl+14)//Se para 14 Clock 1=Segundo
     #declare rcabezaY=(14*3.5)
     #break

     #range (rotautcl+15,rotautcl+14+28)//98 toda la rotacin(Factor de rotacin 3.5)98/3.5=28
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(14*3.5))
     #declare rcabezaY=(14*3.5)-(contador)
     #break

     #range (rotautcl+14+29,rotautcl+14+28+14)//Se para 14 Clock 1=Segundo
     #declare rcabezaY=-(14*3.5)
     #break

     #range (rotautcl+14+28+15,rotautcl+14+28+14+28)//Retorno
     #declare contador=(clock*3.5)-((rotautcl*3.5)+(14*3.5)+(28*3.5)+(14*3.5))
     #declare rcabezaY=-(14*3.5)+(contador)
     #break

     #range (rotautcl+14+28+14+29,rotautcl+14+28+14+28+14)//Se para 14 Clock 1=Segundo
     #declare rcabezaY=(14*3.5)
     #break

     #range (rotautcl+14+28+14+28+15,rotautcl+14+28+14+28+14+28)
    #declare contador=(clock*3.5)-((rotautcl*3.5)+(14*3.5)+(28*3.5)+(14*3.5)+(28*3.5)+(14*3.5))
     #declare rcabezaY=(14*3.5)-(contador)
     #break

     #range (rotautcl+14+28+14+28+14+29,rotautcl+14+28+14+28+14+28+14)
     #declare rcabezaY=-(14*3.5)
     #break

    #range (rotautcl+14+28+14+28+14+28+15,rotautcl+14+28+14+28+14+28+14+28)
    #declare contador=(clock*3.5)-((rotautcl*3.5)+(28*3.5)+(56*3.5)+(14*3.5)+(28*3.5)+(14*3.5))
    #declare rcabezaY=-(14*3.5)+(contador)
    #break

    #range (rotautcl+14+28+14+28+14+28+14+29,rotautcl+14+28+14+28+14+28+14+28+14)
    #declare rcabezaY=(14*3.5)
    #break

    #end

  #break
  #end

#end
//------------------------Mano Derecha ---------------------------QUE ARMAS y ACCESORIOS?
#declare noarmas=1;  //lleva armas (No=0 Si=1)
//luego hay que decidir que arma llevara (maza o espada)
#declare a=rand(RRL);
#if (a>.5)
    #warning "Arma Espada"
    #declare arma=bi_espada
#else
    #warning "Arma Maza"
    #declare arma=bi_maza
#end

#if  (primerestand=1)    //El primer Bicho llevar Estandarte.
  #declare arma=estandartehormiga
#end
//------------------------Mano Izquierda ---------------------------QUE ARMAS y ACCESORIOS?
#declare noarmasI=1;  //lleva armas (No=0 Si=1)
//luego hay que decidir si llevara escudo
#declare a=rand(RRL);
#if (a>.5)
    #warning "Escudo"
    #declare armaI=escudo_evormiga
#else
    #warning "No Escudo"
    #declare noarmasI=0
#end
//------------------------------------------------------------------
//invocamos al bicho
    object{#include "bicho.inc"}//Construir el Bicho con la pose y los accesorios escogidos.

}
//--------------------------------------------------Bucle
#declare separacion=250
#declare xpos=xpos+separacion
        #declare canchoreg=canchoreg-1
#end

#declare zpos=zpos+separacion
    #declare cfilas=cfilas-1
#end

//--------------------------------------------------Fi bucle

